import request from '@/utils/request'

// 查询报警/设备/离线统计数据
export function getTopCount() {
  return request({
    url: '/index-data/stat/',
    method: 'get'
  })
}
// 查询电梯运行信息
export function getElevRunInfo(deviceCode) {
  return request({
    url: '/index-data/elev/info?deviceCode='+deviceCode,
    method: 'get'
  })
}
// 查询电梯列表
export function getElevList(groupId) {
  return request({
    url: '/index-data/elev/list?groupId='+groupId,
    method: 'get'
  })
}
// 查询电梯预警列表
export function getElevFault() {
  return request({
    url: '/index-data/elev/fault/',
    method: 'get'
  })
}
// 查询历史报警列表
export function getHistoryFault(elevCode) {
  return request({
    url: '/index-data/elev/history/fault?elevCode=' + elevCode,
    method: 'get'
  })
}
// 查询报警次数-趋势echarts数据
export function getFaultTrend(deviceCode) {
  return request({
    url: '/index-data/elev/fault/trend?deviceCode=' + deviceCode,
    method: 'get'
  })
}
// 查询树带状态的数据
export function indexTreeselectDevice() {
  return request({
    url: '/index-data/tree-select',
    method: 'get'
  })
}


